Bug 843029 - Review Request: foxtrotgps - Mapping and GPS application
Review Request: foxtrotgps - Mapping and GPS application
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Volker Fröhlich
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-25 07:25 EDT by Dr. Tilmann Bubeck
Modified: 2012-08-04 16:54 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-04 16:54:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
volker27: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Dr. Tilmann Bubeck 2012-07-25 07:25:17 EDT
Spec URL: http://www.reinform.de/privat/bubeck/foxtrotgps.spec
SRPM URL: http://www.reinform.de/privat/bubeck/foxtrotgps-1.1.1-1.fc17.src.rpm
Description: 
FoxtrotGPS is an easy-to-use graphical tool that can be used
to track the position of a GPS receiver on a map in relation to
user-defined points of interest (POIs), a destination and waypoints,
and tracks loaded from files or internet routing-services.
FoxtrotGPS also allows internet-connected users to share their position
with other users and send messages.
By default is uses map data from the OpenStreetMap.org project; 
additionally a variety of other repositories can easily be added.
Fedora Account System Username: bubeck
Comment 1 Danishka Navin 2012-07-27 03:31:16 EDT
Here is my unofficial review


Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[ ]: MUST Package does not contain kernel modules.
[ ]: MUST Package contains no static executables.
[ ]: MUST Rpath absent or only used for internal libs.
[ ]: MUST Package is not relocatable.


==== Generic ====
[ ]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[ ]: MUST Package contains no bundled libraries.
[ ]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[ ]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files -f %{name}.lang section. This is OK
     if packaging for EPEL5. Otherwise not needed
[ ]: MUST Macros in Summary, %description expandable at SRPM build time.
[!]: MUST Package contains a properly installed %{name}.desktop using desktop-
     file-install file if it is a GUI application.
[ ]: MUST Package requires other packages for directories it uses.
[ ]: MUST Package uses nothing in %doc for runtime.
[ ]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[ ]: MUST License field in the package spec file matches the actual license.
[ ]: MUST The spec file handles locales properly.
[!]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
     Note: Using both %{buildroot} and $RPM_BUILD_ROOT
[ ]: MUST Package meets the Packaging Guidelines.
[x]: MUST Package is named according to the Package Naming Guidelines.
[ ]: MUST Package does not generates any conflict.
[ ]: MUST Package obeys FHS, except libexecdir and /usr/target.
[ ]: MUST Package must own all directories that it creates.
[ ]: MUST Package does not own files or directories owned by other packages.
[ ]: MUST Package installs properly.
[ ]: MUST Requires correct, justified where necessary.
[!]: MUST Rpmlint output is silent.

rpmlint foxtrotgps-1.1.1-1.fc18.i686.rpm

foxtrotgps.i686: W: spelling-error %description -l en_US waypoints -> way points, way-points, appoints
foxtrotgps.i686: W: non-conffile-in-etc /etc/gconf/schemas/foxtrotgps.schemas
foxtrotgps.i686: W: no-manual-page-for-binary osb2foxtrot
foxtrotgps.i686: W: no-manual-page-for-binary georss2foxtrotgps-poi
foxtrotgps.i686: W: no-manual-page-for-binary poi2osm
foxtrotgps.i686: W: dangerous-command-in-%pre rm
foxtrotgps.i686: W: dangerous-command-in-%post rm
1 packages and 0 specfiles checked; 0 errors, 7 warnings.


rpmlint foxtrotgps-1.1.1-1.fc18.src.rpm

foxtrotgps.src: W: spelling-error %description -l en_US waypoints -> way points, way-points, appoints
foxtrotgps.src: W: strange-permission foxtrotgps-1.1.1.tar.xz 0660L
foxtrotgps.src: W: strange-permission foxtrotgps.desktop 0660L
foxtrotgps.src: W: strange-permission foxtrotgps.spec 0660L
1 packages and 0 specfiles checked; 0 errors, 4 warnings.


rpmlint foxtrotgps-debuginfo-1.1.1-1.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/danishka/843029/foxtrotgps-1.1.1.tar.xz :
  MD5SUM this package     : 9c4fe0e145d44acaecea9f382cd90ce5
  MD5SUM upstream package : 9c4fe0e145d44acaecea9f382cd90ce5

[ ]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[ ]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[x]: SHOULD Reviewer should test that the package builds in mock.
[ ]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[ ]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[ ]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[ ]: SHOULD Package functions as described.
[ ]: SHOULD Package does not include license text files separate from
     upstream.
[ ]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX is a working URL.
[ ]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[ ]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[ ]: SHOULD %check is present and all tests pass.
[ ]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files -f %{name}.lang section. This is OK
     if packaging for EPEL5. Otherwise not needed
[!]: MUST Package contains a properly installed %{name}.desktop using desktop-
     file-install file if it is a GUI application.
[!]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
     Note: Using both %{buildroot} and $RPM_BUILD_ROOT
[!]: MUST Rpmlint output is silent.

rpmlint foxtrotgps-1.1.1-1.fc18.i686.rpm

foxtrotgps.i686: W: spelling-error %description -l en_US waypoints -> way points, way-points, appoints
foxtrotgps.i686: W: non-conffile-in-etc /etc/gconf/schemas/foxtrotgps.schemas
foxtrotgps.i686: W: no-manual-page-for-binary osb2foxtrot
foxtrotgps.i686: W: no-manual-page-for-binary georss2foxtrotgps-poi
foxtrotgps.i686: W: no-manual-page-for-binary poi2osm
foxtrotgps.i686: W: dangerous-command-in-%pre rm
foxtrotgps.i686: W: dangerous-command-in-%post rm
1 packages and 0 specfiles checked; 0 errors, 7 warnings.


rpmlint foxtrotgps-1.1.1-1.fc18.src.rpm

foxtrotgps.src: W: spelling-error %description -l en_US waypoints -> way points, way-points, appoints
foxtrotgps.src: W: strange-permission foxtrotgps-1.1.1.tar.xz 0660L
foxtrotgps.src: W: strange-permission foxtrotgps.desktop 0660L
foxtrotgps.src: W: strange-permission foxtrotgps.spec 0660L
1 packages and 0 specfiles checked; 0 errors, 4 warnings.


rpmlint foxtrotgps-debuginfo-1.1.1-1.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.




Generated by fedora-review 0.1.2
Comment 2 Michael Scherer 2012-07-27 05:30:57 EDT
Hi,

the directory %{_datadir}/foxtrotgps/ is unowned in the rpm.

why does it requires jhead, and dbus ?

You shouldn't set the vendor tag in the desktop file ( https://fedoraproject.org/wiki/Packaging:Guidelines#Desktop_files ) since that's a new package.
Comment 3 Volker Fröhlich 2012-07-27 18:12:40 EDT
Danishka, why didn't you fill out the form completely?

Updated on https://fedoraproject.org/wiki/GIS#Packages_on_review

Waste defattr. Only EPEL 4 requires it. Also remove all specific EPEL 5 elements, if you don't go for it.

Don't use vendor on the desktop file, as Michael already noticed, and don't use the fedora prefix. Also consider to use upstream's desktop file and add additional elements as described in http://fedoraproject.org/wiki/Packaging:Guidelines#Desktop_files.

gpsd must not be a Requires, as RPM adds this dependency on its own. gpscorrelate and jhead are only necessary for geotagging photos. I feel they should not be requirements.

It seems to me, libsoup-devel is not necessary.

Consider to use the name macro, where it makes sense.
Comment 4 Dr. Tilmann Bubeck 2012-07-30 14:15:17 EDT
Thanks to all valuable feedback. I uploaded a new version:

Spec URL: http://www.reinform.de/privat/bubeck/foxtrotgps.spec
SRPM URL: http://www.reinform.de/privat/bubeck/foxtrotgps-1.1.1-1.fc17.src.rpm

I changed the following, according to your review comments:

  * %{_datadir}/foxtrotgps/ now owned by package

  * No use of vendor tag during desktop file install.

  * No vendor prefix for desktop file

  * usage of package supplied desktop file instead of own file

  * No defattr anymore

  * libsoup-devel is no BuildReq anymore.

However, I did NOT follow the following review comments:

  * "gpsd must not be a Requires". I still list "gpsd" as a Requires, 
    because rpm found only "gpsd-libs" as a requirement
    and foxtrotgps needs gpsd itself.

  * "gpscorrelate and jhead" are still Requires, and yes, they are
    only needed for geotagging. I kept them, because I think both
    packages are very small (< 200 KB) and leaving them out will
    result in loss of functionality which is hard to re-establish for
    newbies.

So could you please review once more and set the "fedora-review flag" if nothing is wrong anymore? Otherwise please tell me and I will update the package ASAP.
Comment 5 Volker Fröhlich 2012-07-31 11:02:37 EDT
When submitting new copies for review, please always write a changelog entry and bump the release number. Reviewers can easily distinguish between the copies then.

jhead and gpscorrelate are actually half a megabyte, but I'm fine with that. I'd personally leave a comment in the spec file, explaining why they are required.

rpmbuild creates Requires for linked libraries. This is what you see when you run rpm -q --requires foxtrotgps:

...
libglib-2.0.so.0()(64bit)  
libgmodule-2.0.so.0()(64bit)  
libgobject-2.0.so.0()(64bit)  
>>>libgps.so.19()(64bit)<<<
...

That's actually a lot better than just a name. It tells you when your package needs a rebuild, if there are incompatible ABI changes in a library. You therefore don't have to require gpsd. Rpmbuild figues it out itself, as it did for all the other libraries.

You haven't addressed dbus from Michael's comment yet. %{_datadir}/foxtrotgps/foxtrotgps.glade -- This line is no longer necessary.

If you don't go for EPEL 5:

- Delete the clean section
- Delete the first rm in the install section
- Delete the buildroot definition

Please decide for using either $RPM_BUILD_ROOT or %{buildroot}.

I'd like to suggest again, to use the name macro, where it makes sense -- for instance in the desktop file.

Cosmetics: Remove the trailing slash from the URL.
Comment 6 Dr. Tilmann Bubeck 2012-07-31 14:36:36 EDT
Again, thanks for your feedback.

I removed dbus, which was also not necessary and followed all your comments. This results in

Spec URL: http://www.reinform.de/privat/bubeck/foxtrotgps.spec
SRPM URL: http://www.reinform.de/privat/bubeck/foxtrotgps-1.1.1-2.fc17.src.rpm

"Alle guten Dinge sind drei, fertig?".
Comment 7 Volker Fröhlich 2012-08-02 11:36:13 EDT
There's a typo in the last paragraph of the description: "By default is uses" should be "By default it uses". Consider to change "waypoints", as mentioned below.

Please check the permissions of the tarball archive and the spec file when you check in.

dbus-devel is unnecessary.

Please also read the comments in the review. With all of them addressed, the package is ready to go and therefore approved.

I also built a scratch in Rawhide.

Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated



==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.


==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean would be needed if support for EPEL is required
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: Note: defattr macros not found. They would be needed for EPEL5
[-]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package contains desktop file if it is a GUI application.
[x]: MUST Package installs a %{name}.desktop using desktop-file-install if
     there is such a file.
[-]: MUST Development files must be in a -devel package
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[-]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf would be needed if support for EPEL5 is required
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later) GENERATED FILE", "UNKNOWN", "*No copyright* UNKNOWN",
     "*No copyright* GENERATED FILE" For detailed output of licensecheck see
     file: /tmp/foxtrotgps/licensecheck.txt
[x]: MUST The spec file handles locales properly.
[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
I ran it, but I have no GPS device at hand.

[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD Scriptlets must be sane, if used.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Rpmlint
-------
Checking: foxtrotgps-1.1.1-2.fc16.src.rpm
          foxtrotgps-1.1.1-2.fc16.x86_64.rpm
          foxtrotgps-debuginfo-1.1.1-2.fc16.x86_64.rpm
foxtrotgps.src: W: spelling-error %description -l en_US waypoints -> way points, way-points, appoints
foxtrotgps.src: W: strange-permission foxtrotgps-1.1.1.tar.xz 0660L
foxtrotgps.src: W: strange-permission foxtrotgps.spec 0660L
foxtrotgps.src:97: W: macro-in-%changelog %{buildroot}
foxtrotgps.src:97: W: macro-in-%changelog %{name}
foxtrotgps.x86_64: W: spelling-error %description -l en_US waypoints -> way points, way-points, appoints
foxtrotgps.x86_64: W: non-conffile-in-etc /etc/gconf/schemas/foxtrotgps.schemas
foxtrotgps.x86_64: W: no-manual-page-for-binary osb2foxtrot
foxtrotgps.x86_64: W: no-manual-page-for-binary georss2foxtrotgps-poi
foxtrotgps.x86_64: W: no-manual-page-for-binary poi2osm
foxtrotgps.x86_64: W: dangerous-command-in-%pre rm
foxtrotgps.x86_64: W: dangerous-command-in-%post rm
3 packages and 0 specfiles checked; 0 errors, 12 warnings.

The dangerous commands stem from the properly used gconf macros. The schema file isn't considered configuration by other packages either. All other are either addressed at the top or not critical.


Rpmlint (installed packages)
----------------------------
# rpmlint foxtrotgps-debuginfo
foxtrotgps-debuginfo.x86_64: I: enchant-dictionary-not-found en_US
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'

Requires
--------
foxtrotgps-1.1.1-2.fc16.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /bin/sh  
    /usr/bin/env  
    /usr/bin/perl  
    /usr/bin/python  
    GConf2  
    gpscorrelate  
    gpsd  
    jhead  
    libatk-1.0.so.0()(64bit)  
    libbluetooth.so.3()(64bit)  
    libc.so.6()(64bit)  
    libcairo.so.2()(64bit)  
    libcurl.so.4()(64bit)  
    libexif.so.12()(64bit)  
    libfontconfig.so.1()(64bit)  
    libfreetype.so.6()(64bit)  
    libgconf-2.so.4()(64bit)  
    libgdk-x11-2.0.so.0()(64bit)  
    libgdk_pixbuf-2.0.so.0()(64bit)  
    libgio-2.0.so.0()(64bit)  
    libglade-2.0.so.0()(64bit)  
    libglib-2.0.so.0()(64bit)  
    libgmodule-2.0.so.0()(64bit)  
    libgobject-2.0.so.0()(64bit)  
    libgps.so.19()(64bit)  
    libgthread-2.0.so.0()(64bit)  
    libgtk-x11-2.0.so.0()(64bit)  
    libm.so.6()(64bit)  
    libpango-1.0.so.0()(64bit)  
    libpangocairo-1.0.so.0()(64bit)  
    libpangoft2-1.0.so.0()(64bit)  
    libpthread.so.0()(64bit)  
    librt.so.1()(64bit)  
    libsqlite3.so.0()(64bit)  
    libxml2.so.2()(64bit)  
    libxml2.so.2(LIBXML2_2.4.30)(64bit)  
    libxml2.so.2(LIBXML2_2.6.0)(64bit)  
    rtld(GNU_HASH)  

foxtrotgps-debuginfo-1.1.1-2.fc16.x86_64.rpm (rpmlib, GLIBC filtered):
    

Provides
--------
foxtrotgps-1.1.1-2.fc16.x86_64.rpm:
    
    foxtrotgps = 1.1.1-2.fc16
    foxtrotgps(x86-64) = 1.1.1-2.fc16

foxtrotgps-debuginfo-1.1.1-2.fc16.x86_64.rpm:
    
    foxtrotgps-debuginfo = 1.1.1-2.fc16
    foxtrotgps-debuginfo(x86-64) = 1.1.1-2.fc16

MD5-sum check
-------------
http://www.foxtrotgps.org/releases/foxtrotgps-1.1.1.tar.xz :
  MD5SUM this package     : 9c4fe0e145d44acaecea9f382cd90ce5
  MD5SUM upstream package : 9c4fe0e145d44acaecea9f382cd90ce5


Generated by fedora-review 0.2.0 (53cc903) last change: 2012-07-09
Command line :/usr/bin/fedora-review -n foxtrotgps
External plugins:
Comment 8 Dr. Tilmann Bubeck 2012-08-03 01:59:13 EDT
New Package SCM Request
=======================
Package Name: foxtrotgps
Short Description: Mapping and GPS application
Owners: bubeck
Branches: f17
InitialCC: pbrobinson
Comment 9 Gwyn Ciesla 2012-08-03 15:58:28 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.